## 9wm 1.3.5

=== Makefile ===
CFLAGS += -DSHAPE -Wall -Werror
LDLIBS = -lXext -lX11
BIN = $(DESTDIR)/usr/bin/

MANDIR = $(DESTDIR)/usr/share/man/man1
MANSUFFIX = 1

all: 9wm

9wm: 9wm.o event.o manage.o menu.o client.o grab.o cursor.o error.o

install: 9wm
	mkdir -p $(BIN)
	cp 9wm $(BIN)/9wm

install.man:
	mkdir -p $(MANDIR)
	cp 9wm.man $(MANDIR)/9wm.$(MANSUFFIX)

$(OBJS): $(HFILES)

clean:
	rm -f 9wm *.o

=== debian/changelog ===
9wm (1.3.5-1) unstable; urgency=medium

  * New upstream version
  * rules: Build in parallel
  * patches/*: Remove patches applied upstream
  * control and watch: Upstream moved to Github 
  * control: Update description to match upstream's description in README

 -- Jacob Adams <tookmund@gmail.com>  Sat, 23 Jan 2016 15:51:58 -0500

9wm (1.3.4-1) unstable; urgency=low

  * New Maintainer (Closes: #660496)
  * New Upstream (https://woozle.org/neale/g.cgi/x11/9wm/)
  * copyright: Update to machine-readable format
  * 9wm.{dirs,menu}: Remove unnecessary files
  * 9wm.docs: Add TODO.txt
  * compat: Bump to 9
  * control: Remove outdated dependencies
  * control: Add packaging VCS
  * rules: Use dh
  * watch: Update for new upstream
  * patches/FHS-install-paths: Install 9wm to FHS-compliant paths
  * patches/CFLAGS.patch: Add -fPIC and import enviornment CFLAGS
  * debian/source/format: Create and set to 3.0 (quilt)

 -- Jacob Adams <tookmund@gmail.com>  Fri, 11 Dec 2015 19:34:34 -0500

9wm (1.2-10) unstable; urgency=low

  * QA upload
  * Maintainer field set to QA Group
  * Bump Standards-Version to 3.9.6
  * Add debian/copyright (Closes: #509256)
  * Add ${misc:Depends} to the dependencies
  * Build with hardening flags
  * Do not ignore errors in debian/rules clean target
  * Add recommended targets: build-arch and build-indep
  * Use dh_prep instead of dh_clean -k
  * Add debian/watch

 -- Emanuele Rocca <ema@debian.org>  Sun, 03 May 2015 22:05:13 +0200

9wm (1.2-9) unstable; urgency=low

  * Add Suggests: 9menu
  * Update Standards-Version to 3.8.0
  * Update imake build-dep from xutils to xutils-dev (Closes: #485190)

 -- Decklin Foster <decklin@red-bean.com>  Sat, 14 Jun 2008 15:46:19 -0400

9wm (1.2-8) unstable; urgency=low

  * Update ancient build deps: x-dev -> x11proto-core-dev.
  * Don't thwart dh_strip in rules by always stripping. (Closes: #436252)
  * Policy 3.7.2, debhelper 5. Nothing left in /usr/X11R6, thankfully.

 -- Decklin Foster <decklin@red-bean.com>  Mon, 13 Aug 2007 00:58:19 -0400

9wm (1.2-7) unstable; urgency=low

  * Change build deps from xlibs-dev to x-dev, libx11-dev, libxext-dev.
  * Include <stdlib.h> for getenv, rename getstate/setstate out of the way.
    (Closes: #323153)
  * Also add <unistd.h> and <string.h> includes to get rid of implicit
    definition errors.
  * Remove x-window-manager.1.gz alternative on purge.
  * Bump Standards-Version to 3.6.2.

 -- Decklin Foster <decklin@red-bean.com>  Mon, 15 Aug 2005 11:23:19 -0400

9wm (1.2-6) unstable; urgency=low

  * Rebuild to remove /usr/doc symlink (I thought I had killed this years
    ago... oops.)
  * Use debhelper v4 while I'm at it, update Standards-Version to 3.6.1.
  * Fix DEB_BUILD_OPTIONS support.
  * Fix package description in debian/control.

 -- Decklin Foster <decklin@red-bean.com>  Mon, 22 Nov 2004 10:13:01 -0500

9wm (1.2-5) unstable; urgency=low

  * New maintainer. (Closes: #129955)
  * Acknowledge NMU (Closes: #80859)
  * Added menu file.

 -- Decklin Foster <decklin@red-bean.com>  Sun, 27 Jan 2002 17:44:37 -0500

9wm (1.2-4.3) unstable; urgency=low

  * Non-maintainer upload.
  * Standards-Version: 3.5.2:
    - Build dependencies (closes: #70111).
    - Support DEB_BUILD_OPTIONS.
    - Move X11 binaries to FHS-compliant locations.
    - Provide x-window-manager and the related alternatives
      (closes: #53690).
  * Moved to debhelper v3, since v1 is now deprecated.

 -- Colin Watson <cjwatson@debian.org>  Sat,  3 Mar 2001 17:06:42 +0000

9wm (1.2-4.2) unstable; urgency=low

  * new maintainer

 -- Raul Miller <moth@debian.org>  Sat,  9 Oct 1999 08:28:05 -0400

9wm (1.2-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Moved debian/rules to debhelper; changed other debian/* files little.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Fri, 18 Jun 1999 22:01:11 +0200

9wm (1.2-4) unstable; urgency=low

  * Orphaned the package.
  
 -- Joel Klecker <jk@espy.org>  Sun,  28 Dec 1997 20:30:00 -0800

9wm (1.2-3) unstable; urgency=low

  * New maintainer.
  
 -- Joel Klecker <jk@espy.org>  Thu,  18 Dec 1997 20:13:00 -0800

9wm (1.2-2) unstable; urgency=low

  * Compilied against libc6 (non-maintainer)

 -- Karl Sackett <krs@debian.org>  Mon,  3 Nov 1997 15:37:11 -0500

9wm (1.2-1) unstable; urgency=low

  * Lastest upstream release.
  * Converted to new package standards.
  * Maintainer address changed.

 -- Karl Sackett <krs@debian.org>  Thu, 10 Oct 1996 10:24:25 -0500

=== debian/control ===
Source: 9wm
Section: x11
Priority: optional
Maintainer: Jacob Adams <tookmund@gmail.com>
Build-Depends:
 debhelper (>= 9.0),
 libx11-dev,
 libxext-dev,
 x11proto-core-dev
Standards-Version: 3.9.6
Homepage: https://github.com/nealey/9wm
Vcs-Git: https://github.com/Tookmund/9wm-deb
Vcs-Browser: https://github.com/Tookmund/9wm-deb

Package: 9wm
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 x-window-manager
Suggests:
 9menu
Description: X11 window manager inspired by Plan 9's rio
 It provides a very simple and clean user interface. It is click-to-type. It 
 uses the X11 font system (which, unfortunately, means no Unicode support).
 .
 9wm does not provide virtual desktops, customization, key bindings, EWMH 
 support, or compositing. It does not allocate any colors, which will be 
 great news if you are stuck in 1993.
 .
 It is a great place to start if you are interested in writing a window 
 manager from scratch: many folks have done exactly this.

=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/?(\d\.\d.\d)\.tar\.gz/9wm-$1\.tar\.gz/ \
  https://github.com/nealey/9wm/tags .*/?(\d\.\d.\d)\.tar\.gz

## 9wm 1.3.9

=== debian/changelog ===
9wm (1.3.9-1) unstable; urgency=medium

  * New upstream release
  * Fix manpage typo (Closes: #836314)

 -- Jacob Adams <tookmund@gmail.com>  Sun, 04 Sep 2016 21:48:37 -0400

9wm (1.3.8-1) unstable; urgency=medium

  * New upstream release
  * Upstream now uses a github organization

 -- Jacob Adams <tookmund@gmail.com>  Tue, 30 Aug 2016 21:20:58 -0400

9wm (1.3.7-1) unstable; urgency=medium

  * New upstream version
  * Bump standards version to 3.9.8, no changes
  * md extension on README
 -- Jacob Adams <tookmund@gmail.com>  Wed, 03 Aug 2016 22:32:34 -0400

## 9wm 1.4.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CFLAGS += -DSHAPE -Wall -Werror
+CFLAGS += -DSHAPE -DCOLOR -Wall -Werror -pedantic
 LDLIBS = -lXext -lX11
 BIN = $(DESTDIR)/usr/bin/

=== debian/changelog ===
9wm (1.4.0-1) unstable; urgency=medium

  * New upstream release
  * Fix bug in border color handling (Closes: #862068)

 -- Jacob Adams <tookmund@gmail.com>  Fri, 12 May 2017 18:53:39 -0400

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  libx11-dev,
  libxext-dev,
  x11proto-core-dev
-Standards-Version: 3.9.6
-Homepage: https://github.com/nealey/9wm
+Standards-Version: 3.9.8
+Homepage: https://github.com/9wm/9wm
 Vcs-Git: https://github.com/Tookmund/9wm-deb
 Vcs-Browser: https://github.com/Tookmund/9wm-deb

## 9wm 1.4.1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
-CFLAGS += -DSHAPE -DCOLOR -Wall -Werror -pedantic
+CFLAGS += -DSHAPE -DCOLOR -Wall -pedantic -ansi -D_XOPEN_SOURCE
 LDLIBS = -lXext -lX11
-BIN = $(DESTDIR)/usr/bin/
+PREFIX ?= /usr
+BIN = $(DESTDIR)$(PREFIX)/bin
 
-MANDIR = $(DESTDIR)/usr/share/man/man1
+MANDIR = $(DESTDIR)$(PREFIX)/share/man/man1
 MANSUFFIX = 1
 
 all: 9wm

=== debian/changelog ===
9wm (1.4.1-1) unstable; urgency=medium

  * New upstream version
  * Manual page now states that 9wm spawns a xterm by default (Closes: #864194)
  * Bump standards version; no changes

 -- Jacob Adams <tookmund@gmail.com>  Mon, 09 Apr 2018 21:27:48 -0400

=== debian/control ===
Source: 9wm
Section: x11
Priority: optional
Maintainer: Jacob Adams <tookmund@gmail.com>
Build-Depends:
 debhelper (>= 11.0),
 libx11-dev,
 libxext-dev,
 x11proto-core-dev
Standards-Version: 4.1.4
Homepage: https://github.com/9wm/9wm
Vcs-Git: https://salsa.debian.org/tookmund-guest/9wm-deb
Vcs-Browser: https://salsa.debian.org/tookmund-guest/9wm-deb

Package: 9wm
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 x-window-manager
Suggests:
 9menu
Description: X11 window manager inspired by Plan 9's rio
 It provides a very simple and clean user interface. It is click-to-type. It
 uses the X11 font system (which, unfortunately, means no Unicode support).
 .
 9wm does not provide virtual desktops, customization, key bindings, EWMH
 support, or compositing. It does not allocate any colors, which will be
 great news if you are stuck in 1993.
 .
 It is a great place to start if you are interested in writing a window
 manager from scratch: many folks have done exactly this.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/?(\d\.\d.\d)\.tar\.gz/9wm-$1\.tar\.gz/ \
  https://github.com/9wm/9wm/tags .*/?(\d\.\d.\d)\.tar\.gz
